package lithium.classloadertest.spring;

import org.springframework.test.context.TestContext;
import org.springframework.test.context.TestContextManager;

/**
 * @author eddie.lo
 */
public class TestContextProvider extends TestContextManager {
//	private static final String CLASS_LOADER_PREFIX = "lithium.util.functional.ClassLoader";

	public static TestContextProvider createTestContextProvider(Class<?> testClass, String id) {
		return new TestContextProvider(testClass, id);
	}
	
	private TestContextProvider(Class<?> testClass, String id) {
//		super(testClass, CLASS_LOADER_PREFIX + id);
		super(testClass, null);
	}

	public final TestContext get() {
		return super.getTestContext();
	}
	
	@Override
	public void prepareTestInstance(Object testInstance) throws Exception {
		super.prepareTestInstance(testInstance);
	}
	
}
